Subject: Re: Opera 9.2, emul/linux32 and amd64 (was: Can't run opera on amd64)
To: Juan RP <juan@xtrarom.org>
From: Loic Hoguin <essen@dev-extend.eu>
List: pkgsrc-users
Date: 04/16/2007 23:37:27
Hello,

On Mon, 16 Apr 2007 10:04:23 +0200, Juan RP <juan@xtrarom.org> wrote:

>> Even with my patch opera does not require any changes on its Makefile,
>> and most pkgs won't require it. Note that opera-plugins still doesn't
>> work with COMPAT_LINUX32, same for acroread (missing shmget()).

It seems opera-plugins' Makefile requires changes.

>> So, here's the patch:
>>
>> http://www.netbsd.org/~xtraeme/linux32_AND_64.diff
>>
>> And for the record, a screenshot with opera:
>>
>> http://www.xtrarom.org/~juan/opera-linux32.png
>
> Forgot to say... to use it you only have to add  
> "PKG_OPTIONS.suse=compat32"
> in /etc/mk.conf and voila.

Thanks for your hard work, it is a must better solution than my quick-hack.

-- 
Loc Hoguin
Dev:Extend